Bug 90588 - PRINTING: Zero margin right doesn't work
Summary: PRINTING: Zero margin right doesn't work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Page-Margins
  Show dependency treegraph
 
Reported: 2015-04-13 06:40 UTC by IT
Modified: 2021-02-21 03:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description IT 2015-04-13 06:40:03 UTC
Since LibreOffice 4.4.2 (maybe complete 4.4.x line) it is not possible to set a new Calc Document to Zero Margins.

Steps to reproduce:
- Start new spreadsheet with LibreOffice 4.4.2
- Type in a long (trash) text in A1 which is longer than papersize
- set all margins to zero
- Look at print preview

When you now look at the print preview there is a (white) margin on the right side, instead of no margin. Even the pdf export produces the margin.

Old calc documents opened by 4.4.2 which are set to zero margins are working normally.

Expected behaviour:
Calc respect the margin setting for all documents
Comment 1 raal 2015-04-13 14:08:25 UTC
I can confirm with Version: 4.5.0.0.alpha0+
Build ID: b024e36ddb3b53163d7a01f6f7b5aadb7a858cd9
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-03-31_09:12:20

and LibreOffice 3.5.0 Build ID: d6cde02

when set margins in dialog - format/page

Works OK when I manually move margin slider in preview.
Comment 2 tommy27 2016-04-16 07:23:49 UTC Comment hidden (obsolete)
Comment 3 IT 2016-04-18 05:26:01 UTC
In LibreOffice 5.0.5 and 5.1.2 the bug still exists.
Comment 4 QA Administrators 2017-05-22 13:24:03 UTC Comment hidden (obsolete)
Comment 5 IT 2017-05-22 13:38:25 UTC
In LibreOffice 5.3.3 the bug still exists.
Comment 6 QA Administrators 2018-05-23 02:37:49 UTC Comment hidden (obsolete)
Comment 7 IT 2018-05-23 05:21:42 UTC
6.0.4.2 The Bug still exists. To reproduce use steps from first post.
Comment 8 Roman Kuznetsov 2019-02-19 12:06:19 UTC
can't repro in

Version: 6.2.1.1
Build ID: 757c58e8cb70b2982843211a54750fb3cd79acd5
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

IT, please re-test your bug in LO 6.2
Comment 9 IT 2019-02-21 06:50:45 UTC
In the current Libreoffice 6.2.0.3 Final the bug still exists.
Comment 10 Roman Kuznetsov 2019-02-21 07:03:47 UTC
(In reply to IT from comment #9)
> In the current Libreoffice 6.2.0.3 Final the bug still exists.

What OS do you use?
Comment 11 IT 2019-02-21 07:12:12 UTC
Windows 10 (1809) de-DE locale and UI
Comment 12 QA Administrators 2021-02-21 03:57:49 UTC
Dear IT,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug